Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.DelegatingConnectionFactory

    java.lang.Object
      org.modeshape.jcr.JcrRepository.DelegatingConnectionFactory

All Implemented Interfaces:
  RepositoryConnectionFactory

Enclosing class:
  JcrRepository

    protected class JcrRepository.DelegatingConnectionFactory

extends Object
implements RepositoryConnectionFactory

Constructor Summary
`protected` | `JcrRepository.DelegatingConnectionFactory(RepositoryConnectionFactory delegate, RepositorySource source)`

Method Summary
`RepositoryConnection` | `createConnection(String sourceName)` Create a `RepositoryConnection` using the given `RepositorySource` name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrRepository.DelegatingConnectionFactory

    protected JcrRepository.DelegatingConnectionFactory(RepositoryConnectionFactory delegate,
                                                        RepositorySource source)

Method Detail

### createConnection

    public RepositoryConnection createConnection(String sourceName)
                                          throws RepositorySourceException

  Create a `RepositoryConnection` using the given `RepositorySource` name.

  Specified by:
    `createConnection` in interface `RepositoryConnectionFactory`
  Parameters:
    `sourceName` - the name of the source from which a connection should be obtained
  Returns:
    the source, or null if no such source could be found (or created)
  Throws:
    `RepositorySourceException` - if there was an error obtaining the new connection
  See Also:
    `RepositoryConnectionFactory.createConnection(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.